### Method

# Gio Resource ref

since: 2.32

#### Declaration [src]

    GResource*
    g_resource_ref (
      GResource* resource
    )

#### Description [src]

Atomically increments the reference count of `resource` by one.

This function is threadsafe and may be called from any thread.

Available since: 2.32

#### Return value

Type: `GResource`

The passed in `GResource`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.